terraform {
  backend "kubernetes" {
    secret_suffix = "grafana-state"
    namespace     = "monitoring"
  }
  required_providers {
    grafana = {
      source  = "grafana/grafana"
      version = ">= 2.9.0"
    }
  }
}

provider "grafana" {
  url  = "https://grafana.lab.cowley.tech"
  auth = var.grafana_admin_token
}
provider "kubernetes" {}
